Subject: Re: bug#42186: emacs swiper package missing since ivy update 0.13.1

From: Pierre Langlois <[email-masked]>
Date: Sat, 04 Jul 2020 12:26:33 +0200

Pierre Langlois writes:

> Hi Nicolas, hello Guix!
>
> I just noticed the last update to the emacs-ivy package removed
> swiper.el from the package by moving from github to elpa. It seems elpa
> packages ivy and swiper separately
> (https://elpa.gnu.org/packages/swiper.html).

Looking at elpa, it seems 0.13.1 isn't a new update to the code itself
(I couldn't find any 0.13.1 release upstream) but instead a change that
splits ivy into three packages for ivy, swiper and counsel. I wonder if
that means we should also package emacs-counsel separately, they mention
version conflict issues although I imagine we don't have this problem
in guix.

https://git.savannah.gnu.org/cgit/emacs/elpa.git/commit/packages/ivy?id=782117aa34418ff66ecf763327f1e2aa69f234f9

Thanks,
Pierre